#ifndef C_URG_T_H
#define C_URG_T_H

/*!
  \file
  \brief URG p̍\

  \author Satofumi KAMIMURA

  $Id: urg_t.h 534 2009-02-01 15:48:15Z satofumi $
*/

#include "urg_parameter_t.h"
#include "serial_t.h"


/*!
  \brief URG p̒萔
*/
typedef enum {
  UrgLaserOff = 0,
  UrgLaserOn,
  UrgLaserUnknown,
} urg_laser_state_t;


/*!
  \brief URG p̍\
*/
typedef struct {

  serial_t serial_;              /*!< VA̍\ */
  int errno_;                    /*!< G[ԍ̊i[ */
  urg_parameter_t parameters_;   /*!< ZTp[^ */

  int skip_lines_;               /*!< CԈ */
  int skip_frames_;              /*!< XLԈ(MD/MS ̂) */
  int capture_times_;            /*!< f[^擾(MD/MS ̂) */

  urg_laser_state_t is_laser_on_; /*!< [ÛƂ 0 */

  long last_timestamp_;          /*!< ŏĨ^CX^v */
  int remain_times_;             /*!< f[^擾̎c */

} urg_t;

#endif /* ! C_URG_T_H */
