#ifndef __ROBOCAR__
#define __ROBOCAR__

#include <iostream>
#include <math.h>
#include <string.h>
#include <unistd.h>
#include <signal.h>
#include "RcControl.h"
#include "LaserRangeSensor.h"

using namespace zmp::zrc;
using namespace std;


class RoboCar{
private:
	double d_x;
	double d_y;
	double d_theta;
	double gyro_offset;
	double old_ang;
	RcControl _RcControl;
	DRIVE_VALUE drive;
	SENSOR_VALUE sensor;
	OBSTACLE_VALUE obstacle;

public:
	RoboCar ();
	~RoboCar ();
	void EndRoboCar ();
	void Go (int speed);
	void SteerAngle (float angle);
	void GetDeadReckoningData (double *x, double *y, double *theta, double time);
	void GetObstacleData (int *data);
	void GetLRFData(LrsResult *data);
};

#endif


