//============================================================================
// Name        : SampleLRS.cpp
// Author      :
// Version     :
// Copyright   : Your copyright notice
// Description : Hello World in C++, Ansi-style
//============================================================================

#include "LaserRangeSensor.h"
#include "RcControl.h"
#include <iostream>
#include <string.h>
#include <unistd.h>
#include <signal.h>
#include <stdio.h>

using namespace zmp::zrc;
using namespace std;

class SampleLRS :public LaserRangeSensorReceiveHandler {
public:
	SampleLRS(){};
	virtual ~SampleLRS(){};

	bool Init() {
		bool res = lrs.Init();
		if(res == false){
			printf("LRS init ERROR\n");
			return false;
		}
		return true;
	}

	void SetReceiveHandler() {
		lrs.SetReceiveHander(this);
	}

	bool Start(){
		bool res = lrs.Start();
		if(res == false){
			printf("LRS start ERROR\n");
			return false;
		}
		return true;
	}

	bool Stop(){
		lrs.Stop();
		return true;
	}

	void GetLRFData(LrsResult *data)
	{
		*data = res;
	}

private:
	void OnReceive()
	{
		lrs.GetData(&res);
		usleep(10);
	}
	LaserRangeSensor lrs;
	LrsResult res;
};
/*
void funcx(int sig);

int main() {
	SampleLRS slrs;
	system("ipm_serial S 4 0");
	sleep(1);
	system("ipm_serial S 4 1");
	sleep(1);

	signal(SIGINT, funcx);

	bool flg = 1;
	bool ires = slrs.Init();
	if(ires == false)
	    flg = 0;
	slrs.SetReceiveHandler();
	bool sres = slrs.Start();
	if(sres == false)
	    flg = 0;

	while (flg) {
	    usleep(3000);
	}
	slrs.Stop(); // Stop the device and receive thread.
	return 0;
}
*/

