// robocar̃vO͑SĂɏ
// robocar̃TvvO{Iɂ̂܂ܓ悤ɃV~[^쐬Ă邪A
// main֐̖Orc_mainɕύXȂ΂ȂȂ. iKł͑SĂAPIV~[^ɎĂȂ
//============================================================================
// Name        : SampleGetSensor.cpp
// Author      :
// Version     :
// Copyright   : Your copyright notice
// Description : Hello World in C++, Ansi-style
//============================================================================

#include <iostream>
#include <termios.h>
#include <fcntl.h>
#include <strings.h>
#include <string.h>
#include <stdio.h>
#include <unistd.h>

#include "RcControl.h"

/*** ǉ@n***/
#include <time.h>
#include "../main.h"
#include "../common.h"

extern simu::RoboCarClass  *rc;
/***@ǉ@I ***/



using namespace zmp::zrc;

int rc_main(){
	system("ipm_serial S 4 0");
	sleep(1);
	system("ipm_serial S 4 1");
	sleep(1);
	RcControl _RcControl;
	DRIVE_VALUE drive;
	SENSOR_VALUE sensor;
	OBSTACLE_VALUE obstacle;
	POWER_VALUE power;

	_RcControl.init();
	_RcControl.Start();
	_RcControl.SetReportFlagReq(7);
	_RcControl.SetMotorEnableReq(0);
	_RcControl.SetDriveSpeed(0);

	memset(&power, 0, sizeof(POWER_VALUE));
	sleep(2);
	_RcControl.GetSensorInfoReq(&sensor);
	printf("before gyro=%3.2f\n", sensor.gyro);
	_RcControl.GetPowerInfoReq(&power);
	printf("before current=%3.2f\n", power.motor_current);
	_RcControl.SetGyroOffset(sensor.gyro);
	_RcControl.SetMotorCurrentOffset(power.motor_current);
	_RcControl.SetMotorEnableReq(1);

	// p[eBN̏
	srand(time(NULL));

	for (int i=0; i< PARTICLE_NUM; i++)
    {
         double tmpx = (double) 2.0 * rand()/RAND_MAX -1.0;
         double tmpy = (double) 2.0 * rand()/RAND_MAX -1.0;
         rc->particle[i].pos[0] = START_X + tmpx;
         rc->particle[i].pos[1] = START_Y + tmpy;
         rc->particle[i].pos[2] = 0.5;
    }



	while(1){
		//usleep(10000);
		//drawSphere2();
		memset(&drive, 0, sizeof(DRIVE_VALUE));
		_RcControl.GetServoInfoReq(1, PRESENT_POSITION_L, PRESENT_VOLTS_H - PRESENT_POSITION_L, &drive);
		/* printf("angle=%fdeg, current=%dmA, temp=%d, volts=%dmV\n",
				drive.present_position,
				drive.present_current,
				drive.present_temperature,
				drive.present_volts);
        */
        printf("current gyro=%3.2f\n", sensor.gyro);
		// Get sensor information
		memset(&sensor, 0, sizeof(SENSOR_VALUE));
		_RcControl.GetSensorInfoReq(&sensor);
		/* printf("G=%3.2fdeg/s, ax=%3.2fg, ay=%3.2fg, az=%3.2fg, e0=%3.2fcycle/s, e1=%3.0fmm/s, e2=%3.0fmm/s, e3=%3.0fmm/s, e4=%3.0fmm/s\n",
				sensor.gyro,
				sensor.acc_x,
				sensor.acc_y,
				sensor.acc_z,
				sensor.enc_0,
				sensor.enc_1,
				sensor.enc_2,
				sensor.enc_3,
				sensor.enc_4);
        */

		// Get obstacle information
		memset(&obstacle, 0, sizeof(OBSTACLE_VALUE));
		_RcControl.GetObstacleSensorInfoReq(&obstacle);

        /*	printf("0=%dmm, 1=%dmm, 2=%dmm, 3=%dmm, 4=%dmm, 5=%dmm, 6=%dmm, 7=%dmm\n",
				obstacle.obstacle[0], obstacle.obstacle[1],
				obstacle.obstacle[2], obstacle.obstacle[3],
				obstacle.obstacle[4], obstacle.obstacle[5],
				obstacle.obstacle[6], obstacle.obstacle[7]);*/

		/* for(int i=0; i < 8; i++){
		    if(obstacle.obstacle[i] == 0)
			printf("%d=near ", i);
		    else if(obstacle.obstacle[i] == 0x1000)
			printf("%d=long ", i);
		    else
			printf("%d=%dmm ", i, obstacle.obstacle[i]);
		}
		printf("\n"); */

		// Get power information
		memset(&power, 0, sizeof(POWER_VALUE));
		_RcControl.GetPowerInfoReq(&power);
		/* printf("current=%2.2fmA, battery=%2.2fV\n",
			power.motor_current, power.battery_level);
        */

        static double old_time = 0;
		double p[3], heading, tmp;

        tmp = dmGetTimeSimu(); // V~[^ł̎Ԏ擾
        dmGetRealPosition(p, &heading);  // V~[^ł̐^̈ʒuCp̎擾

        printf("tmp=%f  old time=%f  diff=%f\n",tmp, old_time, tmp-old_time);

        old_time = tmp;

        //printf("\n*** tmp=%f*** pos=%.3f %.3f heading=%.3f\n",tmp,p[0],p[1],heading);
        /* for (int i=0; i< PARTICLE_NUM; i++)
        {
         printf("x=%f y=%f z=%f\n",rc->particle[i].pos[0] ,rc->particle[i].pos[1] , rc->particle[i].pos[2] );
        } */

       sleep(1);
	}

	_RcControl.Stop();
	_RcControl.Close();

   return 0;
}

