// robocar̃vO͑SĂɏ
// robocar̃TvvO{Iɂ̂܂ܓ悤ɃV~[^쐬Ă邪A
// main֐̖Orc_mainɕύXȂ΂ȂȂ. iKł͑SĂAPIV~[^ɎĂȂ
#include <unistd.h>
#include <signal.h>

#include "SampleLRS.h"

#include <sched.h>
#include <sys/types.h>

#include <stdio.h>
#include <stdlib.h>
#include <memory.h>
#include<iostream>
#include<sys/time.h>

//#include"Localization.hpp"
//#include"DeadReckoning.hpp"
//#include"Sensor.hpp"
//#include"Matching.hpp"
//#include"Mapping.hpp"
//#include"Control.hpp"
#include"RoboCar.h"
//#include"Navigation.hpp"

#define LASER_MAX_LENGTH 3000.0//4000.0
#define LASER_MIN_LENGTH 50.0//100.0
#define LRF_AVOID_GAIN 0.0004//0.001//0.0008
#define MAX_SPEED 550.0
#define MAX_STEER 30.0
#define THRESHOLD_LRF 2.0
#define LRF_SUPPORT_GAIN 1.6
#define LRF_NAVI 3500.0
#define GO_NEXT 1.0
#define AVOID 10
#define FREE_COUNT 3//5

//#define MAPPING

double get_dtime()
{
	struct timeval tv;
	gettimeofday(&tv,NULL);
	return((double)(tv.tv_sec)+(double)(tv.tv_usec)*0.001*0.001);
}


void funcx(int sig) {
	system("ipm_serial S 4 0");
	sleep(1);
	system("ipm_serial S 4 1");
	signal(SIGINT, SIG_DFL);
	raise(SIGINT);
}


int rc_main()
{
    SENSOR_VALUE sensor;

#ifdef MAPPING
	Mapping mapping;
#endif
	//Dead_rackoning_data
	double dr_x=0.0; double dr_y=0.0; double dr_theta=0.0;
	RoboCar robocar;

	//time
	double start = 0.0; double end = 0.0; double time=0.0;
	start = get_dtime();

	//control
	int speed=0; double steer=0.0;

	//navigation
	//Navigation navi;

	//localization
	double local_x = 0; double local_y = 0; double local_theta = 0;
	bool end_flag = false;
	int obstacle[8]={0};

	//avoid obstalce
	int avoid_speed = 0;
	double avoid_steer = 0;
	bool avoid_flag = false;

	//LRF
	SampleLRS Lrf;
	LrsResult lrf_data;
	system("ipm_serial S 4 0");
	sleep(1);
	system("ipm_serial S 4 1");
	signal(SIGINT, funcx);

	bool flg = 1;
	bool ires = Lrf.Init();
	if(ires == false)
	{	std::cout << "LRF init failed" << std::endl;	return -1;}
	Lrf.SetReceiveHandler();
	bool sres = Lrf.Start();
	if(sres == false)
	{	std::cout << "LRF start failed" << std::endl;	return -1;}
	double Lrf_deg = 0.0;
	double Lrf_speed = 0.0;

	int navi_step=0;
	//int navi_step=3;
	bool make_map = false;
	int lrf_avoid_count = 0;
	int lrf_e_avoid_count = 0;
	int lrf_speed_count = 0;
	int deg_count=0;
	int roop_count=0;
	int cout_count=0;
	double target=0.0;
	double now=0.0;
	double t_x=0.0;
	double t_y=0.0;
	int lrf_min_num=0;
	int lrf_max_num=0;
	double lrf_navi = LRF_NAVI;
	int free_count = FREE_COUNT;
	bool back_flag=false;
	while(end_flag == false)
	{
		lrf_speed_count = 0;

		//count time
		end = get_dtime();
		time = end - start;
		start = get_dtime();

		//get deadreckoning
		robocar.GetDeadReckoningData(&dr_x,&dr_y,&dr_theta,time);

		//integral
		local_x += dr_x * cos(local_theta) + dr_y * sin(local_theta);
		local_y += dr_y * cos(local_theta) + dr_x * sin(local_theta);
		local_theta += dr_theta ;

		//LRF
		Lrf.GetLRFData(&lrf_data);
		deg_count=0;

		//for(int i=50; i<250; i++)
		//std::cout << "lrf["<<i<<"]= " << lrf_data.data[i] << std::endl;
		int sign=1;
		switch(navi_step)
		{
			case 0:
				t_x = 13.0;
				t_y = 1.0;
				target = t_x;
				if(local_x <0){sign = -1;}
				else if(local_x >=0){sign = 1;}
				now =sqrt(pow(local_x,2)+pow(local_y,2))*sign;//local_x;
				lrf_min_num = 0;
				lrf_max_num = 210;
				lrf_navi = LRF_NAVI+500.0;
				free_count = 3;//FREE_COUNT;
				break;
			case 1:
				t_x = -0.5;
				t_y = -4.0;//-6.0;
				target = t_y;
				if(local_y <0){sign = -1;}
				else if(local_y >=0){sign = 1;}
				now =sqrt(pow(local_x,2)+pow(local_y,2))*sign;//local_y;
				lrf_min_num = 0;
				lrf_max_num = 200;
				lrf_navi = LRF_NAVI;
				free_count = FREE_COUNT;
				break;
			case 2:
				t_x = 2.0;//1.1;
				t_y = 0.1;
				target = t_x;
				if(local_x <0){sign = -1;}
				else if(local_x >=0){sign = 1;}
				now =sqrt(pow(local_x,2)+pow(local_y,2))*sign;//local_x;
				lrf_min_num = 0;
				lrf_max_num = 200;
				lrf_navi = LRF_NAVI;
				free_count = FREE_COUNT;
				break;

			case 3:
				t_x = 2.0;
				t_y = -10.0;
				target = t_y;
				if(local_y <0){sign = -1;}
				else if(local_y >=0){sign = 1;}
				now =sqrt(pow(local_x,2)+pow(local_y,2))*sign;//local_y;
				lrf_min_num = 540;
				lrf_max_num = 750;
				lrf_navi = LRF_NAVI;
				free_count = FREE_COUNT;
				break;
			case 4:
				t_x = -2.0;
				t_y = 9.0;
				target = t_y;
				if(local_y <0){sign = -1;}
				else if(local_y >=0){sign = 1;}
				now =sqrt(pow(local_x,2)+pow(local_y,2))*sign;//local_y;
				lrf_min_num = 0;
				lrf_max_num = 210;
				lrf_navi = LRF_NAVI;
				free_count = 2;
				break;
			case 5:
				t_x = 0.5;
				t_y = -3.5;
				target = t_y;
				if(local_y <0){sign = -1;}
				else if(local_y >=0){sign = 1;}
				now =sqrt(pow(local_x,2)+pow(local_y,2))*sign;//local_y;
				lrf_min_num = 0;
				lrf_max_num = 0;
				lrf_navi = 0;
				free_count = FREE_COUNT;
				break;
		}
		if(navi_step==5)
		{
			if((fabs(target-now)<GO_NEXT)||
				(((fabs(target)<fabs(now))&&(target*now>0))))
				{end_flag = true;}
		}

		for(int i=lrf_min_num; i<lrf_max_num; i++)
		{
			if(lrf_data.data[i]>lrf_navi){deg_count++;}
		}

		if(navi_step==4)
		{
			deg_count=0;
			int support_count=0;
			for(int i=360; i<700; i++)
			{
				if((lrf_data.data[i]<4500.0)&&(lrf_data.data[i]>50.0))
				{support_count++;}
			}
			if(support_count>310)
			{
				if((fabs(target-now)<GO_NEXT)||
				(((fabs(target)<fabs(now))&&(target*now>0))))
				{
					navi_step++;
					local_x = 0.0;
					local_y = 0.0;
					local_theta = 0.0;
				}
			}
		}

		if(deg_count>free_count)
		{
			if((fabs(target-now)<GO_NEXT)||
				(((fabs(target)<fabs(now))&&(target*now>0))))
			{
				navi_step++;
				local_x = 0.0;
				local_y = 0.0;
				local_theta = 0.0;
			}
		}

		double length_support_gain=1.0;
		Lrf_deg=0.0;
		Lrf_speed = 0;
		lrf_avoid_count = 0;
		lrf_e_avoid_count = 0;
		back_flag = false;
		for(int i=0; i<lrf_data.data_length; i++)
		{
			if((lrf_data.data[i]>=LASER_MAX_LENGTH)
				||(lrf_data.data[i]<=LASER_MIN_LENGTH))
			{
				lrf_data.data[i]=LASER_MAX_LENGTH;
			}

			Lrf_deg += (lrf_data.data[i]
			 *(double(i-(lrf_data.data_length/2.0))
			 * 0.351)
			 * LRF_AVOID_GAIN);

			if((i>lrf_data.data_length/3)||(i<(lrf_data.data_length/3)*2))
			{
				Lrf_speed += lrf_data.data[i]/(LASER_MAX_LENGTH*1.5);
				lrf_speed_count++;
			}
			if((i>50)&&(i<700))
			{
				if(lrf_data.data[i]<800.0)
				{	lrf_avoid_count++;	}

			}
			if((lrf_data.data[i] < 250)&&((i>200)&&(i<550)))
			{	back_flag = true;	}

			//if((lrf_data.data[i] < 1000)&&((i>300)&&(i<550)))
			//{	lrf_e_avoid_count++;	}

			//std::cout << "lrf["<<i<<"]= " << lrf_data.data[i] << std::endl;
		}
		//SPEED------------------------------------------
		Lrf_speed = Lrf_speed/(double)lrf_speed_count;
		speed = (int)(Lrf_speed * MAX_SPEED);// - 300;
		//STEER------------------------------------------
		Lrf_deg = Lrf_deg/(double)lrf_data.data_length;

		//Support------------------------
		if(fabs(t_x) < fabs(local_x)+1.5)
		{	t_x = t_x * 2.0;	}
		if(fabs(t_y) < fabs(local_y)+1.5)
		{	t_y = t_y * 2.0;	}

		double dif_x = t_x - local_x;
		double dif_y = t_y - local_y;
		double dif_theta = (atan2(dif_y, dif_x) - local_theta)*180.0/M_PI;

		if(lrf_avoid_count > AVOID)
		{
			if(fabs(Lrf_deg)>THRESHOLD_LRF)
			{	steer = Lrf_deg;	}
		}
		else
		{	steer = dif_theta;	}

		//if(lrf_e_avoid_count > 2)
		//{	steer = Lrf_deg*3.0;	}

		//SAFETY----------------------------------------
		if(speed > MAX_SPEED)
		{	speed = MAX_SPEED;	}
		else if(speed < -MAX_SPEED)
		{	speed = -MAX_SPEED;	}

		if(steer > MAX_STEER)
		{	steer = MAX_STEER;	}
		else if(steer < -MAX_STEER)
		{	steer = -MAX_STEER;	}

		if(end_flag == true)
		{
			speed=0;
			steer=0;
		}

		if(back_flag == true)
		{
			speed = -200;
			robocar.Go(speed);
			steer = -steer*1.5;
			robocar.SteerAngle(steer);
			int i=0;
			while(i<30)
			{
				i++;
				usleep(1000*100);
			}
		}

		robocar.Go(speed);
		robocar.SteerAngle(steer);

		cout_count++;
		if(cout_count > 30)
		{
			std::cout << "navi_step= " << navi_step << std::endl;
			std::cout << "local_x = " << local_x  << std::endl;
			std::cout << "local_y = " << local_y  << std::endl;
			std::cout << "local_theta = "<<local_theta*180.0/M_PI<< std::endl;
			//std::cout << "speed= " << speed << std::endl;
			//std::cout << "steer= " << steer << std::endl;
			//std::cout << "deg_count= " << deg_count << std::endl;
			//std::cout << "laser= " << lrf_data.data[100] << std::endl;
			cout_count=0;
		}
		else
		{
			usleep(1000*100);
		}
		//usleep(1000*20);

#ifdef MAPPING

		if(obstacle[4]<50 && obstacle[5]<50 &&
			obstacle[6]<50 && make_map==false)
		{
			std::cout<< "-------MAKE MAP-----------" << std::endl;
			make_map = true;
			mapping.makeMap(dr_x,dr_y,dr_theta,&lrf_data,make_map);
		}
		else if(!(obstacle[4]<50&&obstacle[5]<50&&obstacle[6]<50))
		{
			make_map =false;
		}

#endif
	}
	std::cout<< "END" <<std::endl;
	Lrf.Stop(); // Stop the device and receive thread.
	//robocar.EndRoboCar();
	return 0;
}
